Public Attributes | List of all members
gls_racp_filter_t Struct Reference
BLE Services » Glucose Service Record Access Control Point (GLS_RACP) » Structures

Glucose Recoerd Access Control Point filter value. More...

`#include <gls_racp.h>`

Collaboration diagram for gls_racp_filter_t:
[legend]

## Public Attributes
gls_racp_operator_t | racp_operator
| Glucose Recoerd Access Control Point Operator. More...
gls_racp_filter_type_t | racp_filter_type
| Glucose Recoerd Access Control Point filter types. More...
union {
struct {
uint16_t min
| Min sequence number. More...
uint16_t max
| Max sequence number. More...
} seq_num
| Sequence number filtering (racp_filter_type = GLS_RACP_FILTER_SEQ_NUMBER). More...
struct {
prf_date_time_t min
| Min base time. More...
prf_date_time_t max
| Max base time. More...
} time
| User facing time filtering (filter_type = GLS_RACP_FILTER_USER_FACING_TIME). More...
} | val
| Filter union. More...

## Detailed Description

Glucose Recoerd Access Control Point filter value.

Definition at line 131 of file gls_racp.h.

## Member Data Documentation

## ◆ max [1/2]

uint16_t gls_racp_filter_t::max

Max sequence number.

Definition at line 140 of file gls_racp.h.

## ◆ max [2/2]

prf_date_time_t gls_racp_filter_t::max

Max base time.

Definition at line 145 of file gls_racp.h.

## ◆ min [1/2]

uint16_t gls_racp_filter_t::min

Min sequence number.

Definition at line 139 of file gls_racp.h.

## ◆ min [2/2]

prf_date_time_t gls_racp_filter_t::min

Min base time.

Definition at line 144 of file gls_racp.h.

## ◆ racp_filter_type

gls_racp_filter_type_t gls_racp_filter_t::racp_filter_type

Glucose Recoerd Access Control Point filter types.

Definition at line 134 of file gls_racp.h.

## ◆ racp_operator

gls_racp_operator_t gls_racp_filter_t::racp_operator

Glucose Recoerd Access Control Point Operator.

Definition at line 133 of file gls_racp.h.

## ◆ seq_num

struct { ... } gls_racp_filter_t::seq_num

Sequence number filtering (racp_filter_type = GLS_RACP_FILTER_SEQ_NUMBER).

## ◆ time

struct { ... } gls_racp_filter_t::time

User facing time filtering (filter_type = GLS_RACP_FILTER_USER_FACING_TIME).

## ◆ val

union { ... } gls_racp_filter_t::val

Filter union.

The documentation for this struct was generated from the following file:

- gls_racp.h